Bug 1126286 - [RFE][Admin GUI] missing indicator in 'Add Users and Groups' dialog when the search took more than few seconds.
Summary: [RFE][Admin GUI] missing indicator in 'Add Users and Groups' dialog when the ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
medium
low vote
Target Milestone: ovirt-4.0.0-alpha
: 4.0.0
Assignee: Alexander Wels
QA Contact: Gonza
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 05:44 UTC by Kobi Hakimi
Modified: 2016-07-05 08:03 UTC (History)
12 users (show)

Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-05 08:03:27 UTC
oVirt Team: Infra
rule-engine: ovirt-4.0.0+
grafuls: testing_plan_complete-
rule-engine: planning_ack+
rule-engine: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)
The 'Add Users and Groups' Dialog looks with greyed out Go button and no progress bar (12.03 KB, image/png)
2014-08-04 05:44 UTC, Kobi Hakimi
no flags Details
Add user searching (19.51 KB, image/png)
2016-01-04 14:10 UTC, Alexander Wels
no flags Details
Add user searching users (18.89 KB, image/png)
2016-01-04 14:11 UTC, Alexander Wels
no flags Details
Add user result user (21.68 KB, image/png)
2016-01-04 14:11 UTC, Alexander Wels
no flags Details
Users main tab group (18.26 KB, image/png)
2016-01-04 14:12 UTC, Alexander Wels
no flags Details
Users main tab users (22.28 KB, image/png)
2016-01-04 14:12 UTC, Alexander Wels
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 49111 master MERGED webadmin: Split users and groups 2016-01-11 18:20:53 UTC

Description Kobi Hakimi 2014-08-04 05:44:06 UTC
Created attachment 923774 [details]
The 'Add Users and Groups' Dialog looks with greyed out Go button and no progress bar

Description of problem:
[RFE RHEVM GUI] missing indicator in 'Add Users and Groups' dialog when the search took more then few seconds.

Version-Release number of selected component (if applicable):
 Red Hat Enterprise Virtualization Manager Version: 3.4.0-0.21.el6ev 
 oVirt Engine Version: 3.5.0-0.0.master.20140715172116.git4687dc1.el6 

How reproducible:
Always

Steps to Reproduce:
1. Import LDAP with a lot of users and groups(1000+).
2. Go to Users tab and click on Add.
3. Search for *. 

Actual results:
The 'Add Users and Groups' Dialog looks with greyed out Go button and no progress bar or other indicator that its not stuck.

Expected results:
To add some indicator like progress bar which let me know that the search is working and not stuck.

Additional info:
see attached snapshot

Comment 1 Einav Cohen 2014-08-04 18:19:57 UTC
we already have a spinner animated gif for dialogs (open the New VM dialog, for example, to see it) and a three square animated gif for grids - need to use one of them (and not "invent" a new "progress bar" or anything like that).

Comment 5 Alexander Wels 2016-01-04 14:10:47 UTC
Created attachment 1111493 [details]
Add user searching

Comment 6 Alexander Wels 2016-01-04 14:11:13 UTC
Created attachment 1111494 [details]
Add user searching users

Comment 7 Alexander Wels 2016-01-04 14:11:41 UTC
Created attachment 1111495 [details]
Add user result user

Comment 8 Alexander Wels 2016-01-04 14:12:09 UTC
Created attachment 1111496 [details]
Users main tab group

Comment 9 Alexander Wels 2016-01-04 14:12:35 UTC
Created attachment 1111497 [details]
Users main tab users

Comment 10 Alexander Wels 2016-01-04 14:13:49 UTC
This is related to bz1250102 which is what originated the original patch.

Comment 13 Gonza 2016-06-15 09:10:40 UTC
Verified with:
ovirt-engine-4.1.0-0.0.master.20160605051229.gitb398fa2.el7.centos.noarch

Comment 14 Sandro Bonazzola 2016-07-05 08:03:27 UTC
oVirt 4.0.0 has been released, closing current release.


Note You need to log in before you can comment on or make changes to this bug.